# Radio France Podcasts Downloader

Permet de télécharger automatiquement un nombre défini de podcasts depuis les serveurs de Radio France avec seulement l'URL du podcast.

## Utilisation
C'est un script Python. Il prend un paramètre -u (--url) pour l'URL et -p (--page) qui est un encadrement de pages au format A-B.
```bash
main.py -u [URL] -p 0-50
```
Tous les fichiers audio résultant seront dans un dossier dans l'emplacement courant portant le nom du podcast.
- Si un fichier audio n'a pas de titre, son titre sera ``nom du podcast - NameError P[page]L[element]``.
- Si un fichier audio n'a pas de lien de lien de téléchargement, alors une alerte sera lancée.
- Pareil pour les autres type erreurs, le fichier est juste ignoré et le programme passe au suivant.
- À la fin du programme, des statisques sur le nombre d'erreurs et d'alerte ainsi que le nombre total de réussite est affiché.
